# Class RemoveDataMessage

#### Hierarchy

- unknown
  - RemoveDataMessage

- Defined in src/protobuf/pb_pb.d.ts:851
- Defined in src/protobuf/pb_pb.d.ts:865

#####
Index

### Constructors

constructor

### Methods

clearProtectedStorageEntry
getProtectedStorageEntry
hasProtectedStorageEntry
serializeBinary
setProtectedStorageEntry
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RemoveDataMessage(): RemoveDataMessage

- #### Returns RemoveDataMessage

  Inherited from jspb.Message.constructor

## Methods

### clearProtectedStorageEntry

- clearProtectedStorageEntry(): RemoveDataMessage

- #### Returns RemoveDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:855

### getProtectedStorageEntry

- getProtectedStorageEntry(): undefined | ProtectedStorageEntry

- #### Returns undefined | ProtectedStorageEntry

  - Defined in src/protobuf/pb_pb.d.ts:852

### hasProtectedStorageEntry

- hasProtectedStorageEntry(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:854

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:857

### setProtectedStorageEntry

- setProtectedStorageEntry(value?: ProtectedStorageEntry): RemoveDataMessage

- #### Parameters

  - ##### `Optional` value: ProtectedStorageEntry

  #### Returns RemoveDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:853

### toObject

- toObject(includeInstance?: boolean): RemoveDataMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RemoveDataMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:858

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RemoveDataMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RemoveDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:861

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RemoveDataMessage, reader: BinaryReader): RemoveDataMessage

- #### Parameters

  - ##### message: RemoveDataMessage

  - ##### reader: BinaryReader

  #### Returns RemoveDataMessage

  - Defined in src/protobuf/pb_pb.d.ts:862

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RemoveDataMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RemoveDataMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:860

### `Static` toObject

- toObject(includeInstance: boolean, msg: RemoveDataMessage): RemoveDataMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RemoveDataMessage

  #### Returns RemoveDataMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:859

Generated using TypeDoc